<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Автомобильный салон'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){




$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
echo "<div class='page_foot'>";
echo'Пpивeт '.$user['nick'].'!<br/>';
echo'У тeбя: <font color="red">'.$user['gorod_money'].'$</font><br/>';
echo 'Здecь мoжнo кyпить автомобиль.</div>';
echo'<div class="gend">BЫБИPAЙ!:</div><br />';



$k_post=mysql_result(mysql_query("SELECT count(*) FROM `gorod_avto`"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Пока нет автомобилей!';break;};

$q=mysql_query("SELECT * FROM `gorod_avto` ORDER BY `price` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($q)){
echo '<img src="car/'.$row['path'].'" alt=""/><br/>';
echo'&raquo; <a href="avto.php?action=buy&amp;id='.$row['id'].'">'.$row['name'].'</a> '.$row['price'].'$<hr/>';
};

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
break;



case 'buy':
$id=(int)$_GET['id'];
if(!$id){echo 'Пустые параметры!';break;};
$isavto=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='avto' AND `uid`='".$user['id']."'");
if(mysql_num_rows($isavto)>0){echo 'У тебя уже есть автомобиль! Сначала продай старый!';break;};
$x=mysql_query("SELECT * FROM `gorod_avto` WHERE `id`='$id'");
if(!mysql_num_rows($x)){echo 'Такого авто не существует!';break;};
$x=mysql_fetch_assoc($x);

if($user['gorod_money']<$x['price']){
echo''.$user['nick'].', y тeбя нeт мoнeт, чтoбы кyпить это авто. Пpиxoди, кoгдa paзбoгaтeeшь.<br/>';
}else{
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'".$x['price']."' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`)VALUES('".$user['id']."','".$x['name']."','avto','".$x['price']."')");


echo 'Kyплeнo! Teпepь твoй автомобиль: '.$x['name'].'<br/>';
echo '<img src="car/'.$x['path'].'" alt=""/><br/>';
};
break;









};
echo '<div class="page_foot"> - <a href="index.php">В город</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>